Bug 150561 - Unnecessary dependency on xorg-x11-devel
Unnecessary dependency on xorg-x11-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-08 07:23 EST by Tim Püschel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 18:50:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Püschel 2005-03-08 07:23:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
When I want to install amarok rpm says it depends on xorg-x11-devel

rpm -Uvh amarok-*
Fehler: Failed dependencies:
        xorg-x11-devel is needed by amarok-1.2.1-1.i386

After installing it with the --nodeps option it works without problems.

Version-Release number of selected component (if applicable):
amarok-1.2.1-1.i386

How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh amarok-1.2.1-1.i386.rpm
  

Expected Results:  It shouldn't be necessary to install xorg-x11-devel and with that a whole bunch of other devel stuff just to install an audio player.

Additional info:
Comment 1 Aurelien Bompard 2005-03-08 07:33:32 EST
Please use "yum install amarok" to install it. It will resolve the dependency
for you and install the required packages with amarok.

Form a technical POV, this dependency is required for OpenGL visualisations, so
amarok can live without it if you don't need them
Comment 2 Michael Schwendt 2005-03-08 11:00:33 EST
Is that work-around this required?

FC3 qt package changelog says:

* Thu Aug 19 2004 Than Ngo <than@redhat.com> 1:3.3.3-3

- add patch to fix dlopen issue (#126422)
- add image handling fix
Comment 3 Michael Schwendt 2005-03-08 11:01:40 EST
s/this/still/ ;)
Comment 4 Tim Püschel 2005-03-11 18:39:26 EST
The OpenGL Spectrum analyzer, Blur scope and Spectrum analyzer seem to work
without problems without having xorg-x11-devel-installed.
Comment 5 Aurelien Bompard 2005-03-11 18:50:37 EST
Yeah, it looks good here too. The hardcoded dependancy will be removed for the
next version, thanks.

Note You need to log in before you can comment on or make changes to this bug.